<h1>Search settings</h1>

<label>Select type of verbs</label>
<mat-radio-group [(ngModel)]="verbTypeValue">
    <mat-radio-button 
        *ngFor="let verbType of verbTypeSettingList"
        [value]="verbType.value"
        color="accent">
        {{ verbType.text }}
    </mat-radio-button>
</mat-radio-group>

<div fxLayout="row" fxLayoutAlign="space-between">
    <button mat-flat-button [mat-dialog-close]=undefined test-id="cancelButton">Cancel</button>
    <button
        mat-flat-button 
        color="accent"
        [mat-dialog-close]="verbTypeValue"
        test-id="okButton">OK</button>
</div>